Package org.eclipse.birt.chart.computation.withaxes

# Class AxisTickCoordinates

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.AxisTickCoordinates

All Implemented Interfaces:
  `Cloneable`

public class AxisTickCoordinates extends Object implements Cloneable
A helper class to compute coordinates for Axis Ticks

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
`double`
`getCoordinate(int index)`
Returns the coordinates of specified ticks.
`double`
`getEnd()`
`double`
`getNormalizedCoordinate(int index)`
Returns the normalized tick coordinates.
`double`
`getStart()`
`double`
`getStep()`
`int`
`getTickSlot(double value)`
`int`
`size()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### size

public int size()

### getStart

public double getStart()

### getEnd

public double getEnd()

### getStep

public double getStep()

### getCoordinate

public double getCoordinate(int index)
Returns the coordinates of specified ticks. For the sake of performance, invokers need to ensure the index correct.

Parameters:
  `index` - tick index
Returns:

### getTickSlot

public int getTickSlot(double value)

### getNormalizedCoordinate

public double getNormalizedCoordinate(int index)
Returns the normalized tick coordinates. that means the start point is always zero, and the array lines forward. For the sake of performance, invokers need to ensure the index correct.

Parameters:
  `index` - tick index
Returns:

### clone

public Object clone()